/*
 * Demoiselle Framework
 * Copyright (c) 2009 Serpro and other contributors as indicated
 * by the @author tag. See the copyright.txt in the distribution for a
 * full listing of contributors.
 *
 * Demoiselle Framework is an open source Java EE library designed to accelerate
 * the development of transactional database Web applications.
 *
 * Demoiselle Framework is released under the terms of the LGPL license 3
 * http://www.gnu.org/licenses/lgpl.html  LGPL License 3
 *
 * This file is part of Demoiselle Framework.
 *
 * Demoiselle Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 3 as published by
 * the Free Software Foundation.
 *
 * Demoiselle Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Demoiselle Framework.  If not, see <http://www.gnu.org/licenses/>.
 */
package br.gov.component.demoiselle.crud.converter;

import java.lang.reflect.Field;

import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.convert.Converter;
import javax.persistence.Id;

/**
 * Pojo converter
 * 
 * @author SERPRO/CETEC
 */
public class PojoConverter implements Converter {

	/*
	 * (non-Javadoc)
	 * @see javax.faces.convert.Converter#getAsObject(javax.faces.context.FacesContext,
	 * javax.faces.component.UIComponent, java.lang.String)
	 */
	public Object getAsObject(final FacesContext context, final UIComponent component, final String value) {
		Object result = null;

		if (value != null) {
			result = component.getAttributes().get(value);
		}

		return result;
	}

	/*
	 * (non-Javadoc)
	 * @see javax.faces.convert.Converter#getAsString(javax.faces.context.FacesContext,
	 * javax.faces.component.UIComponent, java.lang.Object)
	 */
	public String getAsString(final FacesContext context, final UIComponent component, final Object value) {
		String result = null;

		if (value != null) {
			boolean accessible;

			for (Field field : value.getClass().getDeclaredFields()) {
				if (field.isAnnotationPresent(Id.class)) {

					accessible = field.isAccessible();
					field.setAccessible(true);

					try {
						result = field.get(value).toString();
						component.getAttributes().put(result, value);

					} catch (Exception e) {
						System.out.println("stack aqui: PojoConverter.getAsString");
						e.printStackTrace();
					}

					field.setAccessible(accessible);
				}
			}
		}

		return result;
	}
	
}
