/*
 * Demoiselle Framework
 * Copyright (c) 2009 Serpro and other contributors as indicated
 * by the @author tag. See the copyright.txt in the distribution for a
 * full listing of contributors.
 *
 * Demoiselle Framework is an open source Java EE library designed to accelerate
 * the development of transactional database Web applications.
 *
 * Demoiselle Framework is released under the terms of the LGPL license 3
 * http://www.gnu.org/licenses/lgpl.html  LGPL License 3
 *
 * This file is part of Demoiselle Framework.
 *
 * Demoiselle Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 3 as published by
 * the Free Software Foundation.
 *
 * Demoiselle Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Demoiselle Framework.  If not, see <http://www.gnu.org/licenses/>.
 */
package br.gov.component.demoiselle.crud.layer;

import java.util.List;

import br.gov.component.demoiselle.crud.annotation.NavigationRule;
import br.gov.framework.demoiselle.core.layer.IViewController;

/**
 * Represents a generic Web Page.
 *
 * @author SERPRO/CETEC
 */
public interface IPageMB extends IViewController {

	/**
	 * Gets the current Page.
	 *
	 * @return Current Page outcome
	 */
	public String getCurrentView();

	/**
	 * Gets the previous Page.
	 *
	 * @return Previous Page outcome
	 */
	public String getPreviousView();

	/**
	 * Gets the Page Title.
	 *
	 * @return Page Title
	 */
	public String getTitle();

	/**
	 * Gets the Page navigation rules.
	 */
	public List<NavigationRule> getNavigationRules();

	/**
	 * Returns true if instance is a CRUD Page
	 */
	public boolean isCrudMB();
	
}
