package br.gov.component.demoiselle.crud.supercrud;

import java.io.Serializable;
import java.util.List;

import javax.persistence.EntityManager;
import javax.persistence.Query;

import org.apache.log4j.Logger;

import br.gov.component.demoiselle.crud.layer.ICrudDAO;
import br.gov.framework.demoiselle.core.bean.IPojo;

/**
 * Default implementation for the {@link ICrudDAO} interface.
 */
public class ImplicitSuperCrudDAO extends SuperCrudDAO<IPojo> implements ICrudDAO<IPojo> {

	private static Logger log = Logger.getLogger(ImplicitSuperCrudDAO.class);

	/**
	 * This ugly code, is due to a limitation in the
	 * injection of EntityManager by AspectJ.
	 * @param object
	 */
	public ImplicitSuperCrudDAO(Class<? extends IPojo> pojo,EntityManager entityManager) {
		this.pojoClass = pojo;
		super.em = entityManager;
	}

	private Class<? extends IPojo> pojoClass;

	@Override
	public List<IPojo> find(IPojo pojo) {
		return super.find(pojo);
	}

	@Override
	public List<IPojo> findAll() {
		log.debug("Retrieving all existing entities");
    	Query query = em.createQuery("select this from " + pojoClass.getSimpleName() + " this");
    	List<IPojo> result = query.getResultList();
    	return result;
	}

	@Override
	public IPojo findById(Serializable id) {
		return em.find(this.pojoClass, id);
	}

	/**
	 * Retrieves objects using JPQL without parameters.
	 *
	 * @param jpql	a JPQL query string
	 * @return	a list of entities
	 */
	@SuppressWarnings("unchecked")
	@Override
	public List<IPojo> findByJPQL(String jpql) {

		log.debug("findByJPQL: " + jpql);

		Query query = em.createQuery(jpql);
		List<IPojo> result = query.getResultList();

		return result;
	}


}

