/*
 * Demoiselle Framework Copyright (c) 2010 Serpro and other contributors as indicated by the @author tag. See the
 * copyright.txt in the distribution for a full listing of contributors. Demoiselle Framework is an open source Java EE
 * library designed to accelerate the development of transactional database Web applications. Demoiselle Framework is
 * released under the terms of the LGPL license 3 http://www.gnu.org/licenses/lgpl.html LGPL License 3 This file is part
 * of Demoiselle Framework. Demoiselle Framework is free software: you can redistribute it and/or modify it under the
 * terms of the GNU Lesser General Public License 3 as published by the Free Software Foundation. Demoiselle Framework
 * is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details. You
 * should have received a copy of the GNU Lesser General Public License along with Demoiselle Framework. If not, see
 * <http://www.gnu.org/licenses/>.
 */
package br.gov.component.demoiselle.crud.util;

import java.util.Locale;
import java.util.ResourceBundle;

/**
 * Utilitary class for manipulating strings.
 * 
 * @author SERPRO/CETEC
 */
public class Strings {

	/**
	 * Perform the string capitalization.
	 * 
	 * @return Last String
	 */
	public static String capitalize(final String string) {
		String result = Character.toUpperCase(string.charAt(0)) + string.substring(1);
		return result.replaceAll("(.)([A-Z])", "$1 $2");
	}

	public static String getFromResourceBundle(final String key, final Locale locale) {
		ResourceBundle bundle = ResourceBundle.getBundle("messages", locale);
		return bundle.getString(key);
	}

}
