package br.gov.component.demoiselle.crud.supercrud;

import static org.junit.Assert.assertEquals;

import java.lang.reflect.Proxy;

import org.junit.After;
import org.junit.Assert;
import org.junit.Before;
import org.junit.Test;

import testApp.bean.NoLayers;
import testApp.bean.WithoutBusiness;
import testApp.persistence.dao.implementation.WithoutBusinessDAO;
import br.gov.component.demoiselle.crud.layer.ICrudDAO;
import br.gov.framework.demoiselle.core.bean.IPojo;
import br.gov.framework.demoiselle.util.layer.integration.LazyCreateProxy;

public class ImplicitSuperCrudBCTest {

	@Before
	public void setUp() throws Exception {
	}

	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void testGetImplicitDAO() {
		NoLayers pojo = new NoLayers();
		ImplicitSuperCrudBC bc = new ImplicitSuperCrudBC((Class<IPojo>) pojo.getClass());
		ICrudDAO<?> dao = bc.getDAO();
		Assert.assertNotNull(dao);
		assertEquals(ImplicitSuperCrudDAO.class, getRealClass(dao));
	}

	@Test
	public void testGetUserPatternDAO() {
		WithoutBusiness pojo = new WithoutBusiness();
		ImplicitSuperCrudBC bc = new ImplicitSuperCrudBC((Class<IPojo>) pojo.getClass());
		ICrudDAO<?> dao = bc.getDAO();
		Assert.assertNotNull(dao);
		assertEquals(WithoutBusinessDAO.class, getRealClass(dao));
	}

	private Class<?> getRealClass(Object obj){
		if (Proxy.isProxyClass(obj.getClass())) {
			return ((LazyCreateProxy) Proxy.getInvocationHandler(obj)).getInternalClass();
		} else {
			return obj.getClass();
		}
	}

}
