/*
 * Demoiselle Framework
 * Copyright (c) 2010 Serpro and other contributors as indicated
 * by the @author tag. See the copyright.txt in the distribution for a
 * full listing of contributors.
 *
 * Demoiselle Framework is an open source Java EE library designed to accelerate
 * the development of transactional database Web applications.
 *
 * Demoiselle Framework is released under the terms of the LGPL license 3
 * http://www.gnu.org/licenses/lgpl.html  LGPL License 3
 *
 * This file is part of Demoiselle Framework.
 *
 * Demoiselle Framework is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License 3 as published by
 * the Free Software Foundation.
 *
 * Demoiselle Framework is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with Demoiselle Framework.  If not, see <http://www.gnu.org/licenses/>.
 */
package testApp.view.managedBean;

import testApp.bean.AllLayers;
import br.gov.component.demoiselle.crud.annotation.NavigationRule;
import br.gov.component.demoiselle.crud.annotation.Page;
import br.gov.component.demoiselle.crud.annotation.PageType;
import br.gov.component.demoiselle.crud.layer.ICrudBC;
import br.gov.component.demoiselle.crud.supercrud.SuperCrudMB;

@SuppressWarnings("serial")
@Page(currentView = "country_list", previousView = "index", title = "AllLayers home page", navigationRules = {
		@NavigationRule(type = PageType.EDIT, currentView = "country_edit", title = "Edit AllLayers"),
		@NavigationRule(type = PageType.SHOW, currentView = "country_view", title = "View AllLayers") })
public class AllLayersMB extends SuperCrudMB<AllLayers> {

}
