package teste.simplify.bean;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.hibernate.validator.constraints.NotEmpty;

import br.gov.component.demoiselle.crud.annotation.Label;
import br.gov.component.demoiselle.crud.annotation.NotFilter;
import br.gov.framework.demoiselle.core.bean.IPojo;

@Entity
public class Municipio implements IPojo {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@Column(nullable = false)
	@NotFilter
	private Long id;

	@NotNull
	@NotEmpty(message="{municipio.nome.notempty}")
	@Size(max = 100, message="{municipio.nome.size}")
	@Label("{app.municipio.nome}")
	private String nome;

	// @Column
	// @Temporal(TemporalType.DATE)
	// private Date dataCriacao;

	// @NotFilter
	// @Column(length=1)
	// private String calamidadePublica;

	// @NotList
	// @ManyToOne(cascade = CascadeType.PERSIST, fetch = FetchType.LAZY)
	// @JoinColumn(name = "UF")
	// private UF uf;

	public Long getId() {
		return this.id;
	}

	public String getNome() {
		return this.nome;
	}

	// public Date getDataCriacao() {
	// return dataCriacao;
	// }

	// public Boolean isCalamidadePublica() {
	// return calamidadePublica=="S"? Boolean.TRUE : Boolean.FALSE;
	// }

	// public UF getUf() {
	// return this.uf;
	// }

	public void setId(final Long id) {
		this.id = id;
	}

	public void setNome(final String nome) {
		this.nome = nome;
	}

	// public void setDataCriacao(final Date dataCriacao) {
	// this.dataCriacao = dataCriacao;
	// }

	// public void setCalamidadePublica(final Boolean calamidadePublica) {
	// this.calamidadePublica = calamidadePublica.equals(Boolean.TRUE)? "S":"N";
	// }

	// public void setUf(final UF uf) {
	// this.uf = uf;
	// }

}
