package teste.simplify.bean;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.validation.constraints.Size;

import br.gov.component.demoiselle.crud.annotation.Label;
import br.gov.component.demoiselle.crud.annotation.NotField;
import br.gov.component.demoiselle.crud.annotation.NotFilter;
import br.gov.framework.demoiselle.core.bean.IPojo;

@Entity
public class Pais implements IPojo {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@NotFilter
	@NotField
	private Long id;

	@Size(max = 100, message="{pais.nome.size}")
	@Label("{app.pais.nome}")
	private String nome;

	@Size(min = 3, max = 3, message="{pais.sigla.size}")
	private String sigla;

	public Long getId() {
		return this.id;
	}

	public String getNome() {
		return this.nome;
	}

	public String getSigla() {
		return this.sigla;
	}

	public void setId(final Long id) {
		this.id = id;
	}

	public void setNome(final String nome) {
		this.nome = nome;
	}

	public void setSigla(final String sigla) {
		this.sigla = sigla;
	}

}
