package teste.simplify.bean;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

import br.gov.component.demoiselle.crud.annotation.NotFilter;
import br.gov.component.demoiselle.crud.annotation.NotList;
import br.gov.framework.demoiselle.core.bean.IPojo;

@Entity
public class Planeta implements IPojo {

	private static final long serialVersionUID = 1L;

	@Id
	@GeneratedValue
	@Column(nullable = false)
	@NotFilter
	@NotList
	private Long id;

	private String nome;

	private int satelitesNaturais;

	public Planeta() {
	}

	public Planeta(final long id, final String nome, final int satelitesNaturais) {
		this(new Long(id), nome, satelitesNaturais);
	}

	public Planeta(final Long id, final String nome, final int satelitesNaturais) {
		this.nome = nome;
		this.satelitesNaturais = satelitesNaturais;
	}

	public Long getId() {
		return this.id;
	}

	public String getNome() {
		return this.nome;
	}

	public int getSatelitesNaturais() {
		return this.satelitesNaturais;
	}

	public void setId(final Long id) {
		this.id = id;
	}

	public void setNome(final String nome) {
		this.nome = nome;
	}

	public void setSatelitesNaturais(final int satelitesNaturais) {
		this.satelitesNaturais = satelitesNaturais;
	}
	
	// private int diametro;
	// private int distanciaSol;
	// private Estado estado;
	
}
