package teste.simplify.bean;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.validation.constraints.NotNull;
import javax.validation.constraints.Size;

import org.hibernate.validator.constraints.NotEmpty;

import br.gov.framework.demoiselle.core.bean.IPojo;

@Entity
@SuppressWarnings("serial")
public class UF implements IPojo {

	@Id
	@GeneratedValue
	@Column(nullable = false)
	private Long id;

	@NotNull
	@NotEmpty(message="{uf.nome.notempty}")
	@Size(max = 50, message="{uf.nome.size}")
	private String nome;

	@NotNull
	@Size(min = 2, max = 2, message="{uf.sigla.size}")
	private String sigla;

	public Long getId() {
		return this.id;
	}

	public String getNome() {
		return this.nome;
	}

	public String getSigla() {
		return this.sigla;
	}

	public void setId(final Long id) {
		this.id = id;
	}

	public void setNome(final String nome) {
		this.nome = nome;
	}

	public void setSigla(final String sigla) {
		this.sigla = sigla;
	}

}
