package teste.simplify.el.func;

import java.lang.reflect.Method;
import java.lang.reflect.Modifier;
import java.util.ArrayList;

import org.apache.log4j.Logger;

import br.gov.framework.demoiselle.util.config.ConfigurationLoader;

import com.sun.facelets.tag.AbstractTagLibrary;

public class FnLibrary extends AbstractTagLibrary {

    private static Logger log = Logger.getLogger(FnLibrary.class);

    public final static String NAMESPACE = "http://www.frameworkdemoiselle.gov.br/jsf/facelets";
    public static final FnLibrary INSTANCE = new FnLibrary();

    public FnLibrary() {
        super(NAMESPACE);
        try {
            for (Class<?> c : loadClasses()) {
                log.info("Adding static methods for " + c.getName());
                addStaticMethods(c.getMethods());
            }
        } catch (ClassNotFoundException e) {
            throw new RuntimeException(e);
        }
    }

    /**
     *
     * @param methods
     */
    private void addStaticMethods(final Method[] methods) {
        for (int i = 0; i < methods.length; i++) {
            if (Modifier.isStatic(methods[i].getModifiers())) {
                addFunction(methods[i].getName(), methods[i]);
            }
        }
    }

    /**
     * This method loads classes configured in demoiselle.properties and returns a class array
     *
     * @return
     */
    private Class<?>[] loadClasses() throws ClassNotFoundException {
        ElFuncConfig config = ConfigurationLoader.load(ElFuncConfig.class);
        String[] classNames = config.getElFuncClasses();
        Class<?>[] classArray = new Class[classNames.length];
        int i = 0;
        for (String className : classNames) {
            classArray[i++] = Class.forName(className);
        }
        return classArray;
    }

}
